Last modified: 2014-04-09 07:08:01 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 40040 - Special:PasswordReset could use some design love
Special:PasswordReset could use some design love
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
https://www.mediawiki.org/wiki/Passwo...
: design
Depends on:
Blocks: 1932
  Show dependency treegraph
 
Reported: 2012-09-06 02:25 UTC by MZMcBride
Modified: 2014-04-09 07:08 UTC (History)
13 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Screenshot of Special:PasswordReset on mediawiki.org as of September 5, 2012 (37.79 KB, image/png)
2012-09-06 02:25 UTC, MZMcBride
Details

Description MZMcBride 2012-09-06 02:25:07 UTC
Created attachment 11076 [details]
Screenshot of Special:PasswordReset on mediawiki.org as of September 5, 2012

The form at <https://www.mediawiki.org/wiki/Special:PasswordReset> is currently kind of confusing. I'm attaching a screenshot, but it has a few obvious issues.

The intro to the Special page reads "Enter one of the pieces of data below" while the intro to the form itself reads "Complete this form to receive an e-mail reminder of your account details." This is kind of confusing. (Plus the first message really ought to be properly punctuated!)

I think a form like this might be better off as two fieldsets, but I'll leave that to the design folks to work on/figure out.

I've added an attachment of a screenshot of the current form at <https://www.mediawiki.org/wiki/Special:PasswordReset>. This bug is related to bug 34386.
Comment 1 Heather Walls 2012-09-06 15:51:20 UTC
I am 100% behind improving all of the confusing forms and pages. Perhaps it would be good to get Oliver Keyes and the Micro Design Improvements team to look as this as dev time will be needed?
Comment 2 Matthew Flaschen 2012-12-21 00:53:56 UTC
In the meantime, I implemented a solution on English Wikipedia: 

https://en.wikipedia.org/wiki/Special:PasswordReset

It only really makes sense when it has exactly these two boxes (the two English Wikipedia happens to use), and I know there can be up to three (username, email, and domain (the latter of which I don't really get).

Under the covers: https://en.wikipedia.org/wiki/Special:PasswordReset?uselang=qqx

Discussion and explanation is at https://en.wikipedia.org/wiki/Wikipedia:MediaWiki_messages#Special:PasswordReset_improvements (might get archived).
Comment 4 Nemo 2013-01-11 19:15:33 UTC
-easy: there's not even a defined set of things to do.
Comment 5 MZMcBride 2013-01-12 05:08:06 UTC
(In reply to comment #4)
> -easy: there's not even a defined set of things to do.

I don't think developers looking at easy bugs are incapable of thought.
Comment 6 Pragun Bhutani 2013-04-21 21:05:41 UTC
Is this bug still relevant? I see that the password reset page only has a 'Username' field now. The text could certainly be improved, but there's isn't any room for confusion.
Comment 7 Matthew Flaschen 2013-04-21 21:19:43 UTC
Pragun, it depends how the wiki is configured.  https://www.mediawiki.org/wiki/Special:PasswordReset (the original example in the report) is among the wikis that use both routes.
Comment 8 Pragun Bhutani 2013-04-21 21:43:44 UTC
Okay, I understand. The status is set to assigned but I see that the bug is yet to be fixed. Is it up for grabs?
Comment 9 MZMcBride 2013-04-21 21:46:53 UTC
(In reply to comment #8)
> Okay, I understand. The status is set to assigned but I see that the bug is
> yet to be fixed. Is it up for grabs?

Yes, this bug is up for grabs. I corrected the bug status just now.
Comment 10 Pragun Bhutani 2013-04-21 21:49:07 UTC
In that case, will it be an acceptable solution to mirror your implementation on English Wikipedia?
Comment 11 Pragun Bhutani 2013-04-21 21:54:44 UTC
correction - Matthew Flaschen's implementation
Comment 12 Matthew Flaschen 2013-04-22 05:47:49 UTC
What I used on English Wikipedia is intended for exactly those items.  For core, you need to make sure it makes sense with all the possible configurations (you can use different messages for different configs, though).

See includes/specials/SpecialPasswordReset.php, in particular $wgPasswordResetRoutes ([[mw:Manual:$wgPasswordResetRoutes]]), which controls the ways (username, email, domain).
Comment 13 Pragun Bhutani 2013-04-22 18:40:13 UTC
There's a lot of redundancy on that page there. Especially between passwordreset-text and passwordreset-pretext.

Maybe one of those should be removed.
Comment 14 Matthew Flaschen 2013-04-22 21:20:08 UTC
You should look into the relationship of FormSpecialPage and SpecialPasswordReset (especially the preText function) so you'll have an idea how things currently work, and possible ways to change it.
Comment 15 Matthew Flaschen 2013-06-11 07:14:50 UTC
https://gerrit.wikimedia.org/r/#/c/59806/ (already merged) is related to this.  It removes "passwordreset-pretext" and splits "passwordreset-text" into "passwordreset-text-one" ("Complete this form to reset your password", for when there's only one field) and "passwordreset-text-many" ("Enter one of the pieces of data to reset your password.", for when there's multiple fields).

I think that's helpful, but there's still room for improvement.  "Enter one of the pieces of data" sounds a bit clinical, and it would be nice to explain how the routes actually work (i.e. I changed English Wikipedia to say "If you are certain of your email, but not your username, only enter your email.", to avoid it failing because people enter both the wrong user name and the right email).

Special cases for the various route combinations (i.e. "email + username" => a specific message) are more work, but allow better messages.
Comment 16 Matthew Flaschen 2013-10-17 21:41:15 UTC
S's change to https://gerrit.wikimedia.org/r/#/c/65346/ allows using a vform style for HTMLForm, and it enables this on PasswordReset (which is both an HTMLForm and related to the existing login and signup that use similar style).

There was some discussion on the design list about further enhancing the form by using a combined text field for username and email.  This should work if username is checked first, since '@' is a blacklisted character by default in usernames (for good reason).

Jared also suggested not stacking the buttons (which would be an enhancement to the 'vform' style itself), although there's actually only one button for this form.
Comment 17 Matthew Flaschen 2013-10-18 04:18:38 UTC
Please don't propose RFCs in the names of other people.  That was created as an overview/idea page just today.  Neither Steven nor myself (both of which you put as the RFC authors) have expressed intentions to make an RFC on this topic.
Comment 18 MZMcBride 2013-10-18 04:29:40 UTC
(In reply to comment #17)
> Please don't propose RFCs in the names of other people.

I didn't propose the ideas, you and Steven did, obviously. A quick look at the page history revealed this. The subpage structure is more organized and makes sense given the page's content (discussing the past, present, and future of the password reset form). You're not making any sense.
Comment 19 Matthew Flaschen 2013-10-18 04:48:20 UTC
(In reply to comment #18)
> (In reply to comment #17)
> > Please don't propose RFCs in the names of other people.
> 
> I didn't propose the ideas, you and Steven did, obviously.

Yes, we proposed ideas, in overview and discussion format, *not* as an RFC.  It's not up to you to decide whether I start an RFC.

An RFC is not just a page format.  It's a review *process* (https://www.mediawiki.org/wiki/Requests_for_comment) started by its authors, aiming to solicit feedback and ideas from other developers on a significant change.

That process has multiple steps.  One of them is that the *authors* should send an email to Wikitech.  Neither Steven, you, nor I did that.  The reason Steven and I did not do that, is that again this was not an RFC.

You are welcome to start your own RFCs and list yourself as author.
Comment 20 MZMcBride 2013-10-18 05:01:23 UTC
(In reply to comment #19)
> Yes, we proposed ideas, in overview and discussion format, *not* as an RFC. 
> It's not up to you to decide whether I start an RFC.
> 
> An RFC is not just a page format.  It's a review *process*
> (https://www.mediawiki.org/wiki/Requests_for_comment) started by its authors,
> aiming to solicit feedback and ideas from other developers on a significant
> change.

I have extensive experience with MediaWiki's RFC process and I can assure you that you're mistaken. The steps listed on that page were added fairly recently and are optional guidelines for how you might go about proposing a large change to MediaWiki. But not every step is applicable to every RFC, obviously, particularly smaller and more focused RFCs.

> That process has multiple steps.  One of them is that the *authors* should
> send an email to Wikitech.

It certainly wouldn't hurt to send an e-mail to wikitech-l about these implemented and proposed changes. That's one of the reasons the list exists.

> You are welcome to start your own RFCs and list yourself as author.

You're being needlessly defensive, childish, and stupid, but whatever.
Comment 21 Matthew Flaschen 2013-10-18 05:08:13 UTC
Your personal attacks are unacceptable.

You are also mistaken about the process.  It *has* changed, but the current instructions at https://www.mediawiki.org/wiki/Requests_for_comment are clear.
Comment 22 MZMcBride 2013-10-18 05:11:51 UTC
(In reply to comment #21)
> Your personal attacks are unacceptable.

It's not a personal attack, I'm specifically commenting on your behavior in relation to this issue.
Comment 23 Nemo 2013-10-18 05:57:57 UTC
I hope followups will be on the page's talk, because this discussion is totally uninteresting.
Comment 24 Andre Klapper 2013-10-18 10:32:20 UTC
(In reply to comment #20)
> You're being needlessly defensive, childish, and stupid, but whatever.

MZMcBride: Not in that tone. https://wikimediafoundation.org/wiki/Code_of_conduct_policy lists "Treat other people with respect." for a reason. So stop your personal attacks.
Comment 25 MZMcBride 2013-10-18 18:25:06 UTC
(In reply to comment #24)
> https://wikimediafoundation.org/wiki/Code_of_conduct_policy lists "Treat
> other people with respect." for a reason. So stop your personal attacks.

I filed a bug to discuss and eventually correct the poor design of [[mw:Special:PasswordReset]]. I didn't file a bug to be lectured about civility. The page you linked is pretty clearly inapplicable here, but you already knew that before posting.
Comment 26 Andre Klapper 2013-10-19 12:03:21 UTC
(In reply to comment #25)
> The page you linked is pretty clearly inapplicable here

Nope.
Comment 27 MZMcBride 2013-10-19 12:20:32 UTC
(In reply to comment #26)
> (In reply to comment #25)
>> The page you linked is pretty clearly inapplicable here
> 
> Nope.

Let's just quote the page here to make sure there's a record of what you're saying is applicable:

>
1. Treat other people with respect.

In general, people acting on the Foundation’s behalf should aim to be honest and ethical in their dealings with each other, with community members, project users, partners, suppliers and the public.

The Foundation will not practice or tolerate discrimination on the basis of place of origin, ethnicity, citizenship, gender, age, political or religious affiliation, sexual orientation, marital status, family relationship, or economic or medical status. The Foundation aims to treat all people with respect, and to foster a productive environment free of harassment, intimidation and discrimination.

People acting on the Foundation’s behalf may not bring weaponry to Foundation premises, behave violently, or threaten violence.
>

Obviously I'm not acting on the Foundation's behalf, I'm not the Foundation (and I'm not discriminating against anyone), and I'm not bringing weaponry to Foundation premises or engaging in violence.

Please stop suggesting that an inapplicable code of conduct policy is relevant here.
Comment 28 Jared Zimmerman (WMF) 2013-10-22 21:21:17 UTC
Can someone who is more technical than myself post the bugs in the Action Items section here https://www.mediawiki.org/wiki/Talk:Password_reset#Action_Items to Bugzilla and link them to this bug. I don't want to use the wrong terms or language and confuse anyone who would be working on this. Thanks!
Comment 29 Connor Shea 2014-04-08 01:46:42 UTC
I think this has been fixed, see https://www.mediawiki.org/wiki/Special:PasswordReset

Anyone have problems, or should someone mark this as fixed?
Comment 30 Matthew Flaschen 2014-04-09 07:08:01 UTC
Marking fixed per Connor.  The original issue seems to be fixed. There are two related bugs linked as See also, bug 56025 and bug 56028.

Other issues can be filed separately.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links